const APP_DISPLAY_NAME = "Thunderbird New Filters 0.1.1";
const APP_NAME = "newfilt";
const APP_PACKAGE = "/newfilt/";
const APP_VERSION = "0.1.1";
const APP_JAR_FILE = "newfilt.jar";
const APP_CONTENT_FOLDER = "content/newfilt/";
const APP_SUCCESS_MESSAGE = "You will need to restart Thunderbird before this extension will work.";

const INST_TO_PROFILE = "Do you wish to install "+APP_DISPLAY_NAME+" ?";

// profile installs only work since 2003-03-06
var instToProfile = confirm(INST_TO_PROFILE);
var InstIt = 0
var inst = instToProfile ? InstIt = 1 : InstIt = 0;
if(InstIt == 1) {
    initInstall(APP_NAME, APP_PACKAGE, APP_VERSION);
    var chromef = instToProfile ? getFolder("Profile", "chrome") : getFolder("chrome");
    var err = addFile(APP_PACKAGE, APP_VERSION, "chrome/" + APP_JAR_FILE, chromef, null)

    if(err == SUCCESS) {
        var jar = getFolder(chromef, APP_JAR_FILE);
	    if(instToProfile) {
            registerChrome(CONTENT | PROFILE_CHROME, jar, APP_CONTENT_FOLDER);
            //registerChrome(LOCALE  | PROFILE_CHROME, jar, APP_LOCALE_FOLDER);
   	        // registerChrome(SKIN    | PROFILE_CHROME, jar, APP_SKIN_FOLDER);
        } else {
            registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);
   	        // registerChrome(SKIN    | DELAYED_CHROME, jar, APP_SKIN_FOLDER);
        }
        err = performInstall();
        if(err == SUCCESS || err == 999) {
            
        } else {
	        alert("Install failed. Error code:" + err);
	        cancelInstall(err);
        }
    } else {
	    alert("Failed to create " +APP_JAR_FILE +"\n"
		+"You probably don't have appropriate permissions \n"
		+"(write access to your profile or chrome directory). \n"
		+"_____________________________\nError code:" + err);
        cancelInstall(err);
    }
} else {
    cancelInstall(-210)
}